#include <iostream>

using namespace std;
int main()
{
    int a, b, x, y;
    cin >> a >> b >> x >> y;
    bool prvi = a - x;
    bool drugi = b - y;
    if (prvi) {
        if (drugi)
        {
            cout << "?";
            return 0;
        }
        else
        {
            cout << "prvi";
            return 0;
        }
    }
    if (drugi)
        cout << "drugi";
    else
        cout << "nijedan";
    return 0;
}